diff -u ./SourceCode/cl_dll/GameStudioModelRenderer.h.orig ./SourceCode/cl_dll/GameStudioModelRenderer.h
--- ./SourceCode/cl_dll/GameStudioModelRenderer.h.orig	Thu Nov  1 17:15:48 2001
+++ ./SourceCode/cl_dll/GameStudioModelRenderer.h	Sun Dec 30 00:36:52 2001
@@ -8,7 +8,9 @@
 #if !defined( GAMESTUDIOMODELRENDERER_H )
 #define GAMESTUDIOMODELRENDERER_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 /*
@@ -23,4 +25,4 @@
 	CGameStudioModelRenderer( void );
 };
 
-#endif // GAMESTUDIOMODELRENDERER_H
\ No newline at end of file
+#endif // GAMESTUDIOMODELRENDERER_H
diff -u ./SourceCode/cl_dll/GameStudioModelRenderer_Sample.h.orig ./SourceCode/cl_dll/GameStudioModelRenderer_Sample.h
--- ./SourceCode/cl_dll/GameStudioModelRenderer_Sample.h.orig	Thu Nov  1 17:15:48 2001
+++ ./SourceCode/cl_dll/GameStudioModelRenderer_Sample.h	Sun Dec 30 00:36:52 2001
@@ -8,7 +8,9 @@
 #if !defined( GAMESTUDIOMODELRENDERER_H )
 #define GAMESTUDIOMODELRENDERER_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 /*
@@ -52,4 +54,4 @@
 	bool m_bLocal;
 };
 
-#endif // GAMESTUDIOMODELRENDERER_H
\ No newline at end of file
+#endif // GAMESTUDIOMODELRENDERER_H
diff -u ./SourceCode/cl_dll/StudioModelRenderer.h.orig ./SourceCode/cl_dll/StudioModelRenderer.h
--- ./SourceCode/cl_dll/StudioModelRenderer.h.orig	Thu Nov  1 17:15:50 2001
+++ ./SourceCode/cl_dll/StudioModelRenderer.h	Sun Dec 30 00:36:52 2001
@@ -8,7 +8,9 @@
 #if !defined ( STUDIOMODELRENDERER_H )
 #define STUDIOMODELRENDERER_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 /*
@@ -186,4 +188,4 @@
 	float			(*m_plighttransform)[ MAXSTUDIOBONES ][ 3 ][ 4 ];
 };
 
-#endif // STUDIOMODELRENDERER_H
\ No newline at end of file
+#endif // STUDIOMODELRENDERER_H
diff -u ./SourceCode/cl_dll/com_weapons.h.orig ./SourceCode/cl_dll/com_weapons.h
--- ./SourceCode/cl_dll/com_weapons.h.orig	Thu Nov  1 17:15:48 2001
+++ ./SourceCode/cl_dll/com_weapons.h	Sun Dec 30 00:36:52 2001
@@ -10,7 +10,9 @@
 #if !defined( COM_WEAPONSH )
 #define COM_WEAPONSH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include "hud_iface.h"
@@ -45,4 +47,4 @@
 extern float g_lastFOV;
 extern struct local_state_s *g_finalstate;
 
-#endif
\ No newline at end of file
+#endif
diff -u ./SourceCode/cl_dll/demo.h.orig ./SourceCode/cl_dll/demo.h
--- ./SourceCode/cl_dll/demo.h.orig	Thu Nov  1 17:15:48 2001
+++ ./SourceCode/cl_dll/demo.h	Sun Dec 30 00:36:52 2001
@@ -7,7 +7,11 @@
 
 #if !defined( DEMOH )
 #define DEMOH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 // Types of demo messages we can write/parse
 enum
@@ -24,4 +28,4 @@
 extern float g_demosniperangles[3];
 extern float g_demozoom;
 
-#endif
\ No newline at end of file
+#endif
diff -u ./SourceCode/cl_dll/hud_iface.h.orig ./SourceCode/cl_dll/hud_iface.h
--- ./SourceCode/cl_dll/hud_iface.h.orig	Thu Nov  1 17:15:48 2001
+++ ./SourceCode/cl_dll/hud_iface.h	Sun Dec 30 00:36:52 2001
@@ -7,7 +7,11 @@
 
 #if !defined( HUD_IFACEH )
 #define HUD_IFACEH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define EXPORT		_declspec( dllexport )
 #define _DLLEXPORT __declspec( dllexport )
@@ -17,4 +21,4 @@
 #include "../engine/cdll_int.h"
 extern cl_enginefunc_t gEngfuncs;
 
-#endif
\ No newline at end of file
+#endif
diff -u ./SourceCode/cl_dll/hud_servers.h.orig ./SourceCode/cl_dll/hud_servers.h
--- ./SourceCode/cl_dll/hud_servers.h.orig	Thu Nov  1 17:15:48 2001
+++ ./SourceCode/cl_dll/hud_servers.h	Sun Dec 30 00:36:52 2001
@@ -7,7 +7,11 @@
 
 #if !defined( HUD_SERVERSH )
 #define HUD_SERVERSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define NET_CALLBACK /* */
 
@@ -38,4 +42,4 @@
 int	ServersIsQuerying( void );
 void SortServers( const char *fieldname );
 
-#endif // HUD_SERVERSH
\ No newline at end of file
+#endif // HUD_SERVERSH
diff -u ./SourceCode/cl_dll/hud_servers_priv.h.orig ./SourceCode/cl_dll/hud_servers_priv.h
--- ./SourceCode/cl_dll/hud_servers_priv.h.orig	Thu Nov  1 17:15:48 2001
+++ ./SourceCode/cl_dll/hud_servers_priv.h	Sun Dec 30 00:36:52 2001
@@ -7,7 +7,11 @@
 
 #if !defined( HUD_SERVERS_PRIVH )
 #define HUD_SERVERS_PRIVH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #include "netadr.h"
 
@@ -95,4 +99,4 @@
 	request_t			*m_pPlayersRequest;
 };
 
-#endif // HUD_SERVERS_PRIVH
\ No newline at end of file
+#endif // HUD_SERVERS_PRIVH
diff -u ./SourceCode/cl_dll/hud_spectator.h.orig ./SourceCode/cl_dll/hud_spectator.h
--- ./SourceCode/cl_dll/hud_spectator.h.orig	Thu Nov  1 17:15:48 2001
+++ ./SourceCode/cl_dll/hud_spectator.h	Sun Dec 30 00:36:52 2001
@@ -7,7 +7,11 @@
 
 #ifndef SPECTATOR_H
 #define SPECTATOR_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #include "cl_entity.h"
 
diff -u ./SourceCode/cl_dll/in_defs.h.orig ./SourceCode/cl_dll/in_defs.h
--- ./SourceCode/cl_dll/in_defs.h.orig	Thu Nov  1 17:15:48 2001
+++ ./SourceCode/cl_dll/in_defs.h	Sun Dec 30 00:36:52 2001
@@ -7,7 +7,11 @@
 
 #if !defined( IN_DEFSH )
 #define IN_DEFSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 // up / down
 #define	PITCH	0
@@ -18,4 +22,4 @@
 
 #define DLLEXPORT __declspec( dllexport )
 
-#endif
\ No newline at end of file
+#endif
diff -u ./SourceCode/cl_dll/kbutton.h.orig ./SourceCode/cl_dll/kbutton.h
--- ./SourceCode/cl_dll/kbutton.h.orig	Thu Nov  1 17:15:48 2001
+++ ./SourceCode/cl_dll/kbutton.h	Sun Dec 30 00:36:53 2001
@@ -7,7 +7,11 @@
 
 #if !defined( KBUTTONH )
 #define KBUTTONH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 typedef struct kbutton_s
 {
@@ -15,4 +19,4 @@
 	int		state;			// low bit is down state
 } kbutton_t;
 
-#endif // !KBUTTONH
\ No newline at end of file
+#endif // !KBUTTONH
diff -u ./SourceCode/cl_dll/overview.h.orig ./SourceCode/cl_dll/overview.h
--- ./SourceCode/cl_dll/overview.h.orig	Thu Nov  1 17:15:50 2001
+++ ./SourceCode/cl_dll/overview.h	Sun Dec 30 00:36:53 2001
@@ -7,7 +7,11 @@
 
 #ifndef OVERVIEW_H
 #define OVERVIEW_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 
 //-----------------------------------------------------------------------------
diff -u ./SourceCode/cl_dll/r_studioint.h.orig ./SourceCode/cl_dll/r_studioint.h
--- ./SourceCode/cl_dll/r_studioint.h.orig	Thu Nov  1 17:15:50 2001
+++ ./SourceCode/cl_dll/r_studioint.h	Sun Dec 30 00:36:53 2001
@@ -8,7 +8,9 @@
 #if !defined( R_STUDIOINT_H )
 #define R_STUDIOINT_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define STUDIO_INTERFACE_VERSION 1
@@ -112,4 +114,4 @@
 
 extern r_studio_interface_t *pStudioAPI;
 
-#endif // R_STUDIOINT_H
\ No newline at end of file
+#endif // R_STUDIOINT_H
diff -u ./SourceCode/cl_dll/studio_util.h.orig ./SourceCode/cl_dll/studio_util.h
--- ./SourceCode/cl_dll/studio_util.h.orig	Thu Nov  1 17:15:50 2001
+++ ./SourceCode/cl_dll/studio_util.h	Sun Dec 30 00:36:53 2001
@@ -8,7 +8,9 @@
 #if !defined( STUDIO_UTIL_H )
 #define STUDIO_UTIL_H
 #if defined( WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #ifndef M_PI
@@ -37,4 +39,4 @@
 void	QuaternionSlerp( vec4_t p, vec4_t q, float t, vec4_t qt );
 void	AngleQuaternion( float *angles, vec4_t quaternion );
 
-#endif // STUDIO_UTIL_H
\ No newline at end of file
+#endif // STUDIO_UTIL_H
diff -u ./SourceCode/cl_dll/view.h.orig ./SourceCode/cl_dll/view.h
--- ./SourceCode/cl_dll/view.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/cl_dll/view.h	Sun Dec 30 00:36:53 2001
@@ -7,9 +7,11 @@
 
 #if !defined ( VIEWH )
 #define VIEWH 
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 void V_StartPitchDrift( void );
 void V_StopPitchDrift( void );
 
-#endif // !VIEWH
\ No newline at end of file
+#endif // !VIEWH
diff -u ./SourceCode/common/beamdef.h.orig ./SourceCode/common/beamdef.h
--- ./SourceCode/common/beamdef.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/beamdef.h	Sun Dec 30 00:36:53 2001
@@ -15,7 +15,9 @@
 #if !defined ( BEAMDEFH )
 #define BEAMDEFH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define FBEAM_STARTENTITY		0x00000001
diff -u ./SourceCode/common/cl_entity.h.orig ./SourceCode/common/cl_entity.h
--- ./SourceCode/common/cl_entity.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/cl_entity.h	Sun Dec 30 00:36:53 2001
@@ -16,7 +16,9 @@
 #if !defined( CL_ENTITYH )
 #define CL_ENTITYH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct efrag_s
diff -u ./SourceCode/common/com_model.h.orig ./SourceCode/common/com_model.h
--- ./SourceCode/common/com_model.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/com_model.h	Sun Dec 30 00:36:53 2001
@@ -9,7 +9,9 @@
 #if !defined( COM_MODEL_H )
 #define COM_MODEL_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define STUDIO_RENDER 1
diff -u ./SourceCode/common/con_nprint.h.orig ./SourceCode/common/con_nprint.h
--- ./SourceCode/common/con_nprint.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/con_nprint.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #if !defined( CON_NPRINTH )
 #define CON_NPRINTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct con_nprint_s
diff -u ./SourceCode/common/crc.h.orig ./SourceCode/common/crc.h
--- ./SourceCode/common/crc.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/crc.h	Sun Dec 30 00:36:54 2001
@@ -16,7 +16,9 @@
 #ifndef CRC_H
 #define CRC_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // MD5 Hash
diff -u ./SourceCode/common/demo_api.h.orig ./SourceCode/common/demo_api.h
--- ./SourceCode/common/demo_api.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/demo_api.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #if !defined ( DEMO_APIH )
 #define DEMO_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct demo_api_s
diff -u ./SourceCode/common/dlight.h.orig ./SourceCode/common/dlight.h
--- ./SourceCode/common/dlight.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/dlight.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #if !defined ( DLIGHTH )
 #define DLIGHTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct
diff -u ./SourceCode/common/engine_launcher_api.h.orig ./SourceCode/common/engine_launcher_api.h
--- ./SourceCode/common/engine_launcher_api.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/engine_launcher_api.h	Sun Dec 30 00:36:54 2001
@@ -9,7 +9,9 @@
 #if !defined( ENGINE_LAUNCHER_APIH )
 #define ENGINE_LAUNCHER_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 //typedef void ( *xcommand_t ) ( void );
diff -u ./SourceCode/common/entity_state.h.orig ./SourceCode/common/entity_state.h
--- ./SourceCode/common/entity_state.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/entity_state.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #if !defined( ENTITY_STATEH )
 #define ENTITY_STATEH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // For entityType below
diff -u ./SourceCode/common/event_api.h.orig ./SourceCode/common/event_api.h
--- ./SourceCode/common/event_api.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/event_api.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #if !defined ( EVENT_APIH )
 #define EVENT_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define EVENT_API_VERSION 1
diff -u ./SourceCode/common/event_args.h.orig ./SourceCode/common/event_args.h
--- ./SourceCode/common/event_args.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/event_args.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #if !defined( EVENT_ARGSH )
 #define EVENT_ARGSH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Event was invoked with stated origin
diff -u ./SourceCode/common/event_flags.h.orig ./SourceCode/common/event_flags.h
--- ./SourceCode/common/event_flags.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/event_flags.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #if !defined( EVENT_FLAGSH )
 #define EVENT_FLAGSH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Skip local host for event send.
diff -u ./SourceCode/common/in_buttons.h.orig ./SourceCode/common/in_buttons.h
--- ./SourceCode/common/in_buttons.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/in_buttons.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #ifndef IN_BUTTONS_H
 #define IN_BUTTONS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define IN_ATTACK	(1 << 0)
diff -u ./SourceCode/common/ivoicetweak.h.orig ./SourceCode/common/ivoicetweak.h
--- ./SourceCode/common/ivoicetweak.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/ivoicetweak.h	Sun Dec 30 00:36:54 2001
@@ -8,7 +8,9 @@
 #ifndef IVOICETWEAK_H
 #define IVOICETWEAK_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // These provide access to the voice controls.
diff -u ./SourceCode/common/net_api.h.orig ./SourceCode/common/net_api.h
--- ./SourceCode/common/net_api.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/net_api.h	Sun Dec 30 00:36:54 2001
@@ -8,7 +8,9 @@
 #if !defined( NET_APIH )
 #define NET_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #if !defined ( NETADRH )
@@ -96,4 +98,4 @@
 
 extern net_api_t netapi;
 
-#endif // NET_APIH
\ No newline at end of file
+#endif // NET_APIH
diff -u ./SourceCode/common/netadr.h.orig ./SourceCode/common/netadr.h
--- ./SourceCode/common/netadr.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/netadr.h	Sun Dec 30 00:36:54 2001
@@ -16,7 +16,9 @@
 #ifndef NETADR_H
 #define NETADR_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef enum
diff -u ./SourceCode/common/particledef.h.orig ./SourceCode/common/particledef.h
--- ./SourceCode/common/particledef.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/particledef.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #if !defined( PARTICLEDEFH )
 #define PARTICLEDEFH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef enum {
diff -u ./SourceCode/common/pmtrace.h.orig ./SourceCode/common/pmtrace.h
--- ./SourceCode/common/pmtrace.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/pmtrace.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #if !defined( PMTRACEH )
 #define PMTRACEH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct
diff -u ./SourceCode/common/qfont.h.orig ./SourceCode/common/qfont.h
--- ./SourceCode/common/qfont.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/qfont.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #if !defined( QFONTH )
 #define QFONTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Font stuff
diff -u ./SourceCode/common/r_efx.h.orig ./SourceCode/common/r_efx.h
--- ./SourceCode/common/r_efx.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/r_efx.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #if !defined ( R_EFXH )
 #define R_EFXH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // particle_t
diff -u ./SourceCode/common/screenfade.h.orig ./SourceCode/common/screenfade.h
--- ./SourceCode/common/screenfade.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/screenfade.h	Sun Dec 30 00:36:54 2001
@@ -8,7 +8,9 @@
 #if !defined( SCREENFADEH )
 #define SCREENFADEH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct screenfade_s
diff -u ./SourceCode/common/studio_event.h.orig ./SourceCode/common/studio_event.h
--- ./SourceCode/common/studio_event.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/studio_event.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #if !defined( STUDIO_EVENTH )
 #define STUDIO_EVENTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct mstudioevent_s
diff -u ./SourceCode/common/triangleapi.h.orig ./SourceCode/common/triangleapi.h
--- ./SourceCode/common/triangleapi.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/triangleapi.h	Sun Dec 30 00:36:54 2001
@@ -14,7 +14,11 @@
 ****/
 #if !defined( TRIANGLEAPIH )
 #define TRIANGLEAPIH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 typedef enum 
 {
diff -u ./SourceCode/common/usercmd.h.orig ./SourceCode/common/usercmd.h
--- ./SourceCode/common/usercmd.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/usercmd.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #ifndef USERCMD_H
 #define USERCMD_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct usercmd_s
diff -u ./SourceCode/common/weaponinfo.h.orig ./SourceCode/common/weaponinfo.h
--- ./SourceCode/common/weaponinfo.h.orig	Thu Nov  1 17:15:52 2001
+++ ./SourceCode/common/weaponinfo.h	Sun Dec 30 00:36:54 2001
@@ -15,7 +15,9 @@
 #if !defined ( WEAPONINFOH )
 #define WEAPONINFOH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Info about weapons player might have in his/her possession
diff -u ./SourceCode/dedicated/md5.h.orig ./SourceCode/dedicated/md5.h
--- ./SourceCode/dedicated/md5.h.orig	Thu Nov  1 17:15:54 2001
+++ ./SourceCode/dedicated/md5.h	Sun Dec 30 00:36:55 2001
@@ -7,8 +7,12 @@
 
 #if !defined( MD5H )
 #define MD5H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 int MD5_Hash_File(unsigned char digest[16], char *pszFileName );
 
-#endif
\ No newline at end of file
+#endif
diff -u ./SourceCode/dedicated/sys_ded.h.orig ./SourceCode/dedicated/sys_ded.h
--- ./SourceCode/dedicated/sys_ded.h.orig	Thu Nov  1 17:15:54 2001
+++ ./SourceCode/dedicated/sys_ded.h	Sun Dec 30 00:36:55 2001
@@ -8,7 +8,9 @@
 #if !defined( SYS_DEDH )
 #define SYS_DEDH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 long Sys_LoadLibrary( char *lib );
@@ -18,4 +20,4 @@
 void Sys_Printf(char *fmt, ...);
 void Sys_ErrorMessage( int level, const char *msg );
 
-#endif // SYS_DEDH
\ No newline at end of file
+#endif // SYS_DEDH
diff -u ./SourceCode/dlls/cbase.h.orig ./SourceCode/dlls/cbase.h
--- ./SourceCode/dlls/cbase.h.orig	Thu Nov  1 17:15:56 2001
+++ ./SourceCode/dlls/cbase.h	Sun Dec 30 00:36:55 2001
@@ -186,7 +186,7 @@
 	virtual void	SetToggleState( int state ) {}
 	virtual void    StartSneaking( void ) {}
 	virtual void    StopSneaking( void ) {}
-	virtual BOOL	OnControls( entvars_t *pev ) { return FALSE; }
+	virtual BOOL	OnControls( entvars_t *onpev ) { return FALSE; }
 	virtual BOOL    IsSneaking( void ) { return FALSE; }
 	virtual BOOL	IsAlive( void ) { return (pev->deadflag == DEAD_NO) && pev->health > 0; }
 	virtual BOOL	IsBSPModel( void ) { return pev->solid == SOLID_BSP || pev->movetype == MOVETYPE_PUSHSTEP; }
@@ -217,13 +217,13 @@
 	virtual void Blocked( CBaseEntity *pOther ) { if (m_pfnBlocked) (this->*m_pfnBlocked)( pOther ); };
 
 	// allow engine to allocate instance data
-    void *operator new( size_t stAllocateBlock, entvars_t *pev )
+    void *operator new( size_t stAllocateBlock, entvars_t *newpev )
 	{
-		return (void *)ALLOC_PRIVATE(ENT(pev), stAllocateBlock);
+		return (void *)ALLOC_PRIVATE(ENT(newpev), stAllocateBlock);
 	};
 
 	// don't use this.
-#if _MSC_VER >= 1200 // only build this code if MSVC++ 6.0 or higher
+#if defined(_MSC_VER) && _MSC_VER >= 1200 // only build this code if MSVC++ 6.0 or higher
 	void operator delete(void *pMem, entvars_t *pev)
 	{
 		pev->flags |= FL_KILLME;
@@ -259,8 +259,8 @@
 		return pEnt; 
 	}
 
-	static CBaseEntity *Instance( entvars_t *pev ) { return Instance( ENT( pev ) ); }
-	static CBaseEntity *Instance( int eoffset) { return Instance( ENT( eoffset) ); }
+	static CBaseEntity *Instance( entvars_t *instpev ) { return Instance( ENT( instpev ) ); }
+	static CBaseEntity *Instance( int inst_eoffset) { return Instance( ENT( inst_eoffset) ); }
 
 	CBaseMonster *GetMonsterPointer( entvars_t *pevMonster ) 
 	{ 
diff -u ./SourceCode/dlls/enginecallback.h.orig ./SourceCode/dlls/enginecallback.h
--- ./SourceCode/dlls/enginecallback.h.orig	Thu Nov  1 17:15:58 2001
+++ ./SourceCode/dlls/enginecallback.h	Sun Dec 30 00:36:55 2001
@@ -14,7 +14,11 @@
 ****/
 #ifndef ENGINECALLBACK_H
 #define ENGINECALLBACK_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #include "event_flags.h"
 
@@ -155,4 +159,4 @@
 
 #define PLAYER_CNX_STATS		( *g_engfuncs.pfnGetPlayerStats )
 
-#endif		//ENGINECALLBACK_H
\ No newline at end of file
+#endif		//ENGINECALLBACK_H
diff -u ./SourceCode/dlls/saverestore.h.orig ./SourceCode/dlls/saverestore.h
--- ./SourceCode/dlls/saverestore.h.orig	Thu Nov  1 17:16:02 2001
+++ ./SourceCode/dlls/saverestore.h	Sun Dec 30 00:36:55 2001
@@ -23,7 +23,7 @@
 public:
 	CSaveRestoreBuffer( void );
 	CSaveRestoreBuffer( SAVERESTOREDATA *pdata );
-	~CSaveRestoreBuffer( void );
+	virtual ~CSaveRestoreBuffer( void );
 
 	int			EntityIndex( entvars_t *pevLookup );
 	int			EntityIndex( edict_t *pentLookup );
@@ -41,6 +41,10 @@
 	SAVERESTOREDATA		*m_pdata;
 	void		BufferRewind( int size );
 	unsigned int	HashString( const char *pszToken );
+private:
+	// effc++ rule 11
+	void		operator=(CSaveRestoreBuffer&);
+	CSaveRestoreBuffer(const CSaveRestoreBuffer&);
 };
 
 
@@ -82,7 +86,7 @@
 class CRestore : public CSaveRestoreBuffer
 {
 public:
-	CRestore( SAVERESTOREDATA *pdata ) : CSaveRestoreBuffer( pdata ) { m_global = 0; m_precache = TRUE; }
+	CRestore( SAVERESTOREDATA *pdata ) : CSaveRestoreBuffer( pdata ), m_global(0), m_precache(TRUE) { }
 	int		ReadEntVars( const char *pname, entvars_t *pev );		// entvars_t
 	int		ReadFields( const char *pname, void *pBaseData, TYPEDESCRIPTION *pFields, int fieldCount );
 	int		ReadField( void *pBaseData, TYPEDESCRIPTION *pFields, int fieldCount, int startField, int size, char *pName, void *pData );
@@ -162,6 +166,9 @@
 	globalentity_t	*Find( string_t globalname );
 	globalentity_t	*m_pList;
 	int				m_listCount;
+	// effc++ rule 11
+	void		operator=(CGlobalState&);
+	CGlobalState(const CGlobalState&);
 };
 
 extern CGlobalState gGlobalState;
diff -u ./SourceCode/dlls/util.h.orig ./SourceCode/dlls/util.h
--- ./SourceCode/dlls/util.h.orig	Thu Nov  1 17:16:04 2001
+++ ./SourceCode/dlls/util.h	Sun Dec 30 00:36:56 2001
@@ -107,7 +107,7 @@
 inline EOFFSET OFFSET(EOFFSET eoffset)			{ return eoffset; }
 inline EOFFSET OFFSET(const edict_t *pent)	
 { 
-#if _DEBUG
+#ifdef _DEBUG
 	if ( !pent )
 		ALERT( at_error, "Bad ent in OFFSET()\n" );
 #endif
@@ -115,7 +115,7 @@
 }
 inline EOFFSET OFFSET(entvars_t *pev)				
 { 
-#if _DEBUG
+#ifdef _DEBUG
 	if ( !pev )
 		ALERT( at_error, "Bad pev in OFFSET()\n" );
 #endif
diff -u ./SourceCode/dlls/vector.h.orig ./SourceCode/dlls/vector.h
--- ./SourceCode/dlls/vector.h.orig	Thu Nov  1 17:16:04 2001
+++ ./SourceCode/dlls/vector.h	Sun Dec 30 00:36:56 2001
@@ -22,8 +22,8 @@
 class Vector2D
 {
 public:
-	inline Vector2D(void)									{ }
-	inline Vector2D(float X, float Y)						{ x = X; y = Y; }
+	inline Vector2D(void): x(0.0), y(0.0)							{ }
+	inline Vector2D(float X, float Y): x(0.0), y(0.0)				{ x = X; y = Y; }
 	inline Vector2D operator+(const Vector2D& v)	const	{ return Vector2D(x+v.x, y+v.y);	}
 	inline Vector2D operator-(const Vector2D& v)	const	{ return Vector2D(x-v.x, y-v.y);	}
 	inline Vector2D operator*(float fl)				const	{ return Vector2D(x*fl, y*fl);	}
@@ -33,7 +33,7 @@
 
 	inline Vector2D Normalize ( void ) const
 	{
-		Vector2D vec2;
+		// Vector2D vec2;
 
 		float flLen = Length();
 		if ( flLen == 0 )
@@ -60,12 +60,12 @@
 {								//		which is a vec_t[3]
 public:
 	// Construction/destruction
-	inline Vector(void)								{ }
-	inline Vector(float X, float Y, float Z)		{ x = X; y = Y; z = Z;						}
+	inline Vector(void): x(0.0), y(0.0), z(0.0)					{ }
+	inline Vector(float X, float Y, float Z): x(0.0), y(0.0), z(0.0)	{ x = X; y = Y; z = Z;				}
 	//inline Vector(double X, double Y, double Z)		{ x = (float)X; y = (float)Y; z = (float)Z;	}
 	//inline Vector(int X, int Y, int Z)				{ x = (float)X; y = (float)Y; z = (float)Z;	}
-	inline Vector(const Vector& v)					{ x = v.x; y = v.y; z = v.z;				} 
-	inline Vector(float rgfl[3])					{ x = rgfl[0]; y = rgfl[1]; z = rgfl[2];	}
+	inline Vector(const Vector& v): x(0.0), y(0.0), z(0.0)		{ x = v.x; y = v.y; z = v.z;				} 
+	inline Vector(float rgfl[3]): x(0.0), y(0.0), z(0.0)		{ x = rgfl[0]; y = rgfl[1]; z = rgfl[2];	}
 
 	// Operators
 	inline Vector operator-(void) const				{ return Vector(-x,-y,-z);				}
@@ -109,4 +109,4 @@
 
 
 
-#endif
\ No newline at end of file
+#endif
diff -u ./SourceCode/dlls/weapons.h.orig ./SourceCode/dlls/weapons.h
--- ./SourceCode/dlls/weapons.h.orig	Thu Nov  1 17:16:04 2001
+++ ./SourceCode/dlls/weapons.h	Sun Dec 30 00:36:56 2001
@@ -445,7 +445,7 @@
 	int		Restore( CRestore &restore );
 	static	TYPEDESCRIPTION m_SaveData[];
 
-	HasWeapon( CBasePlayerItem *pCheckItem );
+	BOOL HasWeapon( CBasePlayerItem *pCheckItem );
 	BOOL PackWeapon( CBasePlayerItem *pWeapon );
 	BOOL PackAmmo( int iszName, int iCount );
 	
diff -u ./SourceCode/dmc/dlls/cbase.h.orig ./SourceCode/dmc/dlls/cbase.h
--- ./SourceCode/dmc/dlls/cbase.h.orig	Thu Nov  1 17:16:08 2001
+++ ./SourceCode/dmc/dlls/cbase.h	Sun Dec 30 00:36:57 2001
@@ -186,7 +186,7 @@
 	virtual void	SetToggleState( int state ) {}
 	virtual void    StartSneaking( void ) {}
 	virtual void    StopSneaking( void ) {}
-	virtual BOOL	OnControls( entvars_t *pev ) { return FALSE; }
+	virtual BOOL	OnControls( entvars_t *onpev ) { return FALSE; }
 	virtual BOOL    IsSneaking( void ) { return FALSE; }
 	virtual BOOL	IsAlive( void ) { return (pev->deadflag == DEAD_NO) && pev->health > 0; }
 	virtual BOOL	IsBSPModel( void ) { return pev->solid == SOLID_BSP || pev->movetype == MOVETYPE_PUSHSTEP; }
@@ -217,13 +217,13 @@
 	virtual void Blocked( CBaseEntity *pOther ) { if (m_pfnBlocked) (this->*m_pfnBlocked)( pOther ); };
 
 	// allow engine to allocate instance data
-    void *operator new( size_t stAllocateBlock, entvars_t *pev )
+    void *operator new( size_t stAllocateBlock, entvars_t *newpev )
 	{
-		return (void *)ALLOC_PRIVATE(ENT(pev), stAllocateBlock);
+		return (void *)ALLOC_PRIVATE(ENT(newpev), stAllocateBlock);
 	};
 
 	// don't use this.
-#if _MSC_VER >= 1200 // only build this code if MSVC++ 6.0 or higher
+#if defined(_MSC_VER) && _MSC_VER >= 1200 // only build this code if MSVC++ 6.0 or higher
 	void operator delete(void *pMem, entvars_t *pev)
 	{
 		pev->flags |= FL_KILLME;
@@ -258,8 +258,8 @@
 		return pEnt; 
 	}
 
-	static CBaseEntity *Instance( entvars_t *pev ) { return Instance( ENT( pev ) ); }
-	static CBaseEntity *Instance( int eoffset) { return Instance( ENT( eoffset) ); }
+	static CBaseEntity *Instance( entvars_t *instpev ) { return Instance( ENT( instpev ) ); }
+	static CBaseEntity *Instance( int inst_eoffset) { return Instance( ENT( inst_eoffset) ); }
 
 	CBaseMonster *GetMonsterPointer( entvars_t *pevMonster ) 
 	{ 
@@ -798,4 +798,4 @@
 };
 
 // QUAKECLASSIC
-extern char *g_szDeathType;
\ No newline at end of file
+extern char *g_szDeathType;
diff -u ./SourceCode/dmc/dlls/enginecallback.h.orig ./SourceCode/dmc/dlls/enginecallback.h
--- ./SourceCode/dmc/dlls/enginecallback.h.orig	Thu Nov  1 17:16:08 2001
+++ ./SourceCode/dmc/dlls/enginecallback.h	Sun Dec 30 00:36:57 2001
@@ -14,7 +14,11 @@
 ****/
 #ifndef ENGINECALLBACK_H
 #define ENGINECALLBACK_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #include "event_flags.h"
 
@@ -156,4 +160,4 @@
 
 #define PLAYER_CNX_STATS		( *g_engfuncs.pfnGetPlayerStats )
 
-#endif		//ENGINECALLBACK_H
\ No newline at end of file
+#endif		//ENGINECALLBACK_H
diff -u ./SourceCode/dmc/dlls/saverestore.h.orig ./SourceCode/dmc/dlls/saverestore.h
--- ./SourceCode/dmc/dlls/saverestore.h.orig	Thu Nov  1 17:16:08 2001
+++ ./SourceCode/dmc/dlls/saverestore.h	Sun Dec 30 00:36:57 2001
@@ -23,7 +23,7 @@
 public:
 	CSaveRestoreBuffer( void );
 	CSaveRestoreBuffer( SAVERESTOREDATA *pdata );
-	~CSaveRestoreBuffer( void );
+	virtual ~CSaveRestoreBuffer( void );
 
 	int			EntityIndex( entvars_t *pevLookup );
 	int			EntityIndex( edict_t *pentLookup );
@@ -41,6 +41,10 @@
 	SAVERESTOREDATA		*m_pdata;
 	void		BufferRewind( int size );
 	unsigned int	HashString( const char *pszToken );
+private:
+	// effc++ rule 11
+	void		operator=(CSaveRestoreBuffer&);
+	CSaveRestoreBuffer(const CSaveRestoreBuffer&);
 };
 
 
@@ -82,7 +86,7 @@
 class CRestore : public CSaveRestoreBuffer
 {
 public:
-	CRestore( SAVERESTOREDATA *pdata ) : CSaveRestoreBuffer( pdata ) { m_global = 0; m_precache = TRUE; }
+	CRestore( SAVERESTOREDATA *pdata ) : CSaveRestoreBuffer( pdata ), m_global(0), m_precache(TRUE) { }
 
 	int		ReadEntVars( const char *pname, entvars_t *pev );		// entvars_t
 	int		ReadFields( const char *pname, void *pBaseData, TYPEDESCRIPTION *pFields, int fieldCount );
@@ -163,6 +167,9 @@
 	globalentity_t	*Find( string_t globalname );
 	globalentity_t	*m_pList;
 	int				m_listCount;
+	// effc++ rule 11               
+	void		operator=(CGlobalState&);
+	CGlobalState(const CGlobalState&);
 };
 
 extern CGlobalState gGlobalState;
diff -u ./SourceCode/dmc/dlls/vector.h.orig ./SourceCode/dmc/dlls/vector.h
--- ./SourceCode/dmc/dlls/vector.h.orig	Thu Nov  1 17:16:08 2001
+++ ./SourceCode/dmc/dlls/vector.h	Sun Dec 30 00:36:58 2001
@@ -22,8 +22,8 @@
 class Vector2D
 {
 public:
-	inline Vector2D(void)									{ }
-	inline Vector2D(float X, float Y)						{ x = X; y = Y; }
+	inline Vector2D(void): x(0.0), y(0.0)(void)						{ }
+	inline Vector2D(float X, float Y): x(0.0), y(0.0)				{ x = X; y = Y; }
 	inline Vector2D operator+(const Vector2D& v)	const	{ return Vector2D(x+v.x, y+v.y);	}
 	inline Vector2D operator-(const Vector2D& v)	const	{ return Vector2D(x-v.x, y-v.y);	}
 	inline Vector2D operator*(float fl)				const	{ return Vector2D(x*fl, y*fl);	}
@@ -33,7 +33,7 @@
 
 	inline Vector2D Normalize ( void ) const
 	{
-		Vector2D vec2;
+		// Vector2D vec2;
 
 		float flLen = Length();
 		if ( flLen == 0 )
@@ -60,12 +60,12 @@
 {								//		which is a vec_t[3]
 public:
 	// Construction/destruction
-	inline Vector(void)								{ }
-	inline Vector(float X, float Y, float Z)		{ x = X; y = Y; z = Z;						}
+	inline Vector(void): x(0.0), y(0.0), z(0.0)					{ }
+	inline Vector(float X, float Y, float Z): x(0.0), y(0.0), z(0.0)		{ x = X; y = Y; z = Z;						}
 	//inline Vector(double X, double Y, double Z)		{ x = (float)X; y = (float)Y; z = (float)Z;	}
 	//inline Vector(int X, int Y, int Z)				{ x = (float)X; y = (float)Y; z = (float)Z;	}
-	inline Vector(const Vector& v)					{ x = v.x; y = v.y; z = v.z;				} 
-	inline Vector(float rgfl[3])					{ x = rgfl[0]; y = rgfl[1]; z = rgfl[2];	}
+	inline Vector(const Vector& v): x(0.0), y(0.0), z(0.0)		{ x = v.x; y = v.y; z = v.z;				} 
+	inline Vector(float rgfl[3]): x(0.0), y(0.0), z(0.0)		{ x = rgfl[0]; y = rgfl[1]; z = rgfl[2];	}
 
 	// Operators
 	inline Vector operator-(void) const				{ return Vector(-x,-y,-z);				}
@@ -109,4 +109,4 @@
 
 
 
-#endif
\ No newline at end of file
+#endif
